aboutsummaryrefslogtreecommitdiffstats
path: root/main/alpine/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-25 13:19:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-25 13:27:36 +0000
commit822da8766c0169475e70dc291a297a8f3a18e4d6 (patch)
tree75fb9d6b7a13515649b7877baa6cd80319ce0054 /main/alpine/APKBUILD
parent9cd0653df5eb4f571a92e48322cec98c8fd7f97e (diff)
downloadaports-822da8766c0169475e70dc291a297a8f3a18e4d6.tar.gz
aports-822da8766c0169475e70dc291a297a8f3a18e4d6.tar.bz2
aports-822da8766c0169475e70dc291a297a8f3a18e4d6.tar.xz
main/alpine: new aport
Text-based email client, friendly for novices but powerful http://www.washington.edu/alpine/
Diffstat (limited to 'main/alpine/APKBUILD')
-rw-r--r--main/alpine/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/main/alpine/APKBUILD b/main/alpine/APKBUILD
new file mode 100644
index 0000000000..3fb188add6
--- /dev/null
+++ b/main/alpine/APKBUILD
@@ -0,0 +1,53 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=alpine
+pkgver=2.00_p73
+_ver=${pkgver%_p*}
+_pver=${pkgver##*_p}
+pkgrel=0
+pkgdesc="Text-based email client, friendly for novices but powerful"
+url="http://www.washington.edu/alpine/"
+license="APACHE"
+depends=""
+makedepends="openldap-dev heimdal-dev ncurses-dev openssl-dev"
+subpackages="$pkgname-doc"
+source="ftp://ftp.cac.washington.edu/alpine/alpine.tar.bz2
+ http://staff.washington.edu/chappa/alpine/patches/alpine-${_ver}/all_${_pver}.patch.gz
+ 2.00-lpam.patch
+ CVE-2008-5514.patch"
+
+_builddir="$srcdir"/$pkgname-$_ver
+prepare() {
+ cd "$_builddir"
+ gunzip -c "$srcdir"/all_$_pver.patch.gz | patch -p1 || return 1
+ for i in $source; do
+ case $i in
+ *.patch)
+ msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+ # we dont have pam
+ sed -i -e "s/-lpam//" alpine/Makefile.in
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --without-passfile \
+ --without-tcl \
+ --disable-shared \
+ --with-system-pinerc=/etc/alpine.d/pine.conf \
+ --with-system-fixed-pinerc=/etc/alpine.d/pine.conf.fixed
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="84e44cbf71ed674800a5d57eed9c1c52 alpine.tar.bz2
+12fa93aa8bf008f40bf8cc9326a8751f all_73.patch.gz
+cd3911c16fc6a072e853c0ccfc35857c 2.00-lpam.patch
+1b52a54a656979116c09fb1d948a4325 CVE-2008-5514.patch"